org.eclipse.gef.handles

## Class ConnectionEndpointHandle

- java.lang.Object
- - org.eclipse.draw2d.Figure
  - - org.eclipse.gef.handles.AbstractHandle
    - - org.eclipse.gef.handles.SquareHandle
      - - org.eclipse.gef.handles.ConnectionHandle
        - - org.eclipse.gef.handles.ConnectionEndpointHandle

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, AncestorListener, IFigure, Handle

Direct Known Subclasses:
  ConnectionEndHandle, ConnectionStartHandle

    public class ConnectionEndpointHandle
    extends ConnectionHandle

A handle used at the start or end of the `Connection`. A ConnectionEndpointHandle may be extended rather than using the final `ConnectionStartHandle` or `ConnectionEndHandle`

Since:
  3.4

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`Figure.FigureIterator, Figure.IdentitySearch`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.AncestorListener

`AncestorListener.Stub`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

### Field Summary

### Fields inherited from class org.eclipse.gef.handles.SquareHandle

`DEFAULT_HANDLE_SIZE`

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionEndpointHandle(ConnectionEditPart owner, boolean fixed, int endPoint)` Creates a new ConnectionStartHandle and sets its owner to `owner`.
`ConnectionEndpointHandle(ConnectionEditPart owner, int endPoint)` Creates a new ConnectionStartHandle, sets its owner to `owner` , and sets its locator to a `ConnectionLocator`.
`ConnectionEndpointHandle(int endPoint)` Creates a new ConnectionStartHandle.

### Method Summary

Methods
`protected DragTracker` `createDragTracker()` Creates and returns a new `ConnectionEndpointTracker`.
`int` `getEndPoint()` Return the endpoint handle.

### Methods inherited from class org.eclipse.gef.handles.ConnectionHandle

`addNotify, getConnection, isFixed, propertyChange, removeNotify, setFixed`

### Methods inherited from class org.eclipse.gef.handles.SquareHandle

`getBorderColor, getFillColor, init, isPrimary, paintFigure`

### Methods inherited from class org.eclipse.gef.handles.AbstractHandle

`ancestorAdded, ancestorMoved, ancestorRemoved, getAccessibleLocation, getDragCursor, getDragTracker, getLocator, getOwner, getOwnerFigure, setDragCursor, setDragTracker, setLocator, setOwner, validate`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionEndpointHandle

    public ConnectionEndpointHandle(ConnectionEditPart owner,
                            int endPoint)

Creates a new ConnectionStartHandle, sets its owner to `owner` , and sets its locator to a `ConnectionLocator`.

Parameters:
  `owner` - the ConnectionEditPart owner
  `endPoint` - one of `ConnectionLocator.SOURCE` or `ConnectionLocator.TARGET`.

#### ConnectionEndpointHandle

    public ConnectionEndpointHandle(ConnectionEditPart owner,
                            boolean fixed,
                            int endPoint)

Creates a new ConnectionStartHandle and sets its owner to `owner`. If the handle is fixed, it cannot be dragged.

Parameters:
  `owner` - the ConnectionEditPart owner
  `fixed` - if true, handle cannot be dragged.
  `endPoint` - one of `ConnectionLocator.SOURCE` or `ConnectionLocator.TARGET`.

#### ConnectionEndpointHandle

    public ConnectionEndpointHandle(int endPoint)

Creates a new ConnectionStartHandle.

Parameters:
  `endPoint` - one of `ConnectionLocator.SOURCE` or `ConnectionLocator.TARGET`.

### Method Detail

#### createDragTracker

    protected DragTracker createDragTracker()

Creates and returns a new `ConnectionEndpointTracker`.

Specified by:
  `createDragTracker` in class `AbstractHandle`
Returns:
  the new ConnectionEndpointTracker

#### getEndPoint

    public int getEndPoint()

Return the endpoint handle.

Returns:
  the endPoint handle, which is is either `ConnectionLocator.SOURCE` or `ConnectionLocator.TARGET`.
Since:
  3.5